Page MenuHomePhabricator

ProofreadPage image width on edit
Open, MediumPublic

Description

Author: enomil

Description:
If you edit a ProofreadPage page the width of the page image is now restricted to 1000(?)px and do not display anymore the full capacity of the image. This makes some pages hard to read and to validate the text.

See:
http://de.wikisource.org/w/index.php?title=Seite:Die_Gartenlaube_(1853)_076.jpg&action=edit (1.000x1.288px)
http://upload.wikimedia.org/wikipedia/commons/b/be/Die_Gartenlaube_(1853)_076.jpg (3.655x4.709px)

The full size image url is still available in the source code of the html page (as proofreadPageURL).


Version: unspecified
Severity: normal

Details

Reference
bz33613

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:04 AM
bzimport added a project: ProofreadPage.
bzimport set Reference to bz33613.

beau wrote:

I have submitted gerrit #5950 for review.

beau wrote:

The change has been merged.

Tpt added a comment.Aug 3 2012, 6:02 PM

I've reverted the change because there where problem with very big images. https://gerrit.wikimedia.org/r/#/c/17598/

GOIII added a subscriber: GOIII.Dec 2 2015, 1:30 AM

See related:

Solved by:

Closing.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2015, 1:30 AM
GOIII closed this task as Resolved.Dec 2 2015, 1:31 AM
GOIII assigned this task to Tpt.
GOIII set Security to None.
Tpt reopened this task as Open.Dec 2 2015, 8:19 AM

I think we should keep this issue open because it would be nice to have the zoom feature of the Page: pages editing interface load an higher resolution image if the user tries to zoom a lot.

GOIII added a comment.Dec 2 2015, 11:29 PM
In T35613#1844034, @Tpt wrote:

I think we should keep this issue open because it would be nice to have the zoom feature of the Page: pages editing interface load an higher resolution image if the user tries to zoom a lot.

Your call but the original report, it's description and the three other cited tasks just above do not seem related to zoom so I think you'd do better with a new - more narrow - Task.

For example - I can get a higher res/larger width thumbnail (when appropriate) in the Page: namespace simply by using the Sidebar-FlatList gadget (i.e. no sidebar to eat part of entire viewport width) -- that doesn't mean I did that because I zoom a lot or anything.

Tpt added a comment.Dec 3 2015, 12:27 PM

Your call but the original report, it's description and the three other cited tasks just above do not seem related to zoom so I think you'd do better with a new - more narrow - Task.

Yes, you are right. Fell free to close this task and create an other one.

Tpt added a comment.Dec 13 2016, 8:55 PM

I have created a narrower task about loading getter thumbnail while zooming in the scan image: T153124

If you edit a ProofreadPage page the width of the page image is now restricted to 1000(?)px and do not display anymore the full capacity of the image. This makes some pages hard to read and to validate the text.

Cannot reproduce with the given links anymore (I think)?

In T35613#1844034, @Tpt wrote:

I think we should keep this issue open because it would be nice to have the zoom feature of the Page: pages editing interface load an higher resolution image if the user tries to zoom a lot.

Isn't that covered already in T43614?

MJL moved this task from Backlog to Backlog (Proofreader) on the Wikisource board.Sep 9 2019, 11:45 PM
Aklapper removed Tpt as the assignee of this task.Jun 19 2020, 4:27 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)